Subject: Re: [bug#70895] [PATCH v2] grafts: Only compute necessary graft derivations.
From: Ludovic Courtès <[email-masked]>
To: David Elsing <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Jan 2025 00:02:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

David Elsing <[email-masked]> skribis:

> * guix/packages.scm (input-graft, input-cross-graft): Store the monadic value
> of the replacement in the 'replacement' field of <graft> instead of unwrapping
> it.
> (cumulative-grafts): Turn monadic values in the 'replacement' field of
> applicable grafts into derivations.

It took many months but I finally applied it.  I had to update
graft-related tests in ‘tests/packages.scm’; I also added a couple of
comments in the code.

Thanks for your work, and apologies again for the delay!

Ludo’.